## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate astral-tokio-tar

Name:           rust-astral-tokio-tar
Version:        0.5.1
Release:        %autorelease
Summary:        Rust implementation of an async TAR file reader and writer

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/astral-tokio-tar
Source:         %{crates_source}
# * GitHub sources corresponding to the published crate; we extract only the
#   tests/archives/ subdirectory for running tests.
Source10:       https://github.com/astral-sh/tokio-tar/archive/v%{version}/tokio-tar-%{version}.tar.gz

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A Rust implementation of an async TAR file reader and writer. This
library does not currently handle compression, but it is abstract over
all I/O readers and writers. Additionally, great lengths are taken to
ensure that the entire contents are never required to be entirely
resident in memory all at once.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+xattr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+xattr-devel %{_description}

This package contains library source intended for building other packages which
use the "xattr" feature of the "%{crate}" crate.

%files       -n %{name}+xattr-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# Extract test tarballs (only) from the GitHub archive
tar -xzvf '%{SOURCE10}' --strip-components=1 'tokio-tar-%{version}/tests/archives/'
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Feb 09 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.1-1
- Update to 0.5.1 (close RHBZ#2344574)

* Fri Feb 07 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.0-1
- Initial package (close RHBZ#2344105)
## END: Generated by rpmautospec
